%global commit d370bbf86489713e6f2900a2d9c2676141c43539
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:           python-lz4
Version:        0.6.0
Release:        1%{?dist}
Summary:        This package provides bindings for the lz4 compression library

Group:          Development/Libraries
License:        BSD
URL:            http://github.com/steeve/%{name}
Source0:        http://github.com/steeve/%{name}/archive/%{commit}/%{name}-%{version}-%{shortcommit}.tar.gz

BuildRequires:  python2-devel
BuildRequires:  python-nose

%description
This package provides bindings for the lz4 compression library by Yann Collet.

More details about lz4 library: http://code.google.com/p/lz4

%prep
%setup -qn %{name}-%{commit}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%check
PYTHONPATH=%{buildroot}%{python_sitearch} nosetests -w tests

%clean
rm -rf %{buildroot}

%files
%doc README.rst
%{python_sitearch}/*

%changelog
* Sun Jan 26 2014 Scott K Logan <logans@cottsay.net> - 0.6.0-1
- Initial package creation
